osl::move_probability::BookMove Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::BookMove:

## Public Types

enum | { DIM = 2 }

## Public Member Functions

| BookMove ()
double | match (const StateInfo &si, const MoveInfo &mi, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 1740 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 1743 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## BookMove()

osl::move_probability::BookMove::BookMove | ( |  | ) |

inline

Definition at line 1746 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match()

double osl::move_probability::BookMove::match | ( | const StateInfo & | si,
|  | const MoveInfo & | mi,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 1749 of file move_probability/feature.h.

References osl::move_probability::StateInfo::bookmove, and osl::move_probability::MoveInfo::move.

The documentation for this class was generated from the following file:

- move_probability/feature.h